* [gentoo-commits] repo/gentoo:master commit in: net-print/cups-pdf/, net-print/cups-pdf/files/
@ 2021-04-26 17:27 Thomas Deutschmann
0 siblings, 0 replies; only message in thread
From: Thomas Deutschmann @ 2021-04-26 17:27 UTC (permalink / raw
To: gentoo-commits
commit: e72a26a68a6127cebccec0000ead414b323c3d35
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 26 17:26:18 2021 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Mon Apr 26 17:27:06 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e72a26a6
net-print/cups-pdf: unbreak >=app-text/ghostscript-gpl-9.54.0
While here, migrate to EAPI 7.
Closes: https://bugs.gentoo.org/779706
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>
net-print/cups-pdf/cups-pdf-3.0.1-r2.ebuild | 47 ++++++++++++++++++++++
...ups-pdf-3.0.1-ghostscript-gpl-9.54-compat.patch | 28 +++++++++++++
2 files changed, 75 insertions(+)
diff --git a/net-print/cups-pdf/cups-pdf-3.0.1-r2.ebuild b/net-print/cups-pdf/cups-pdf-3.0.1-r2.ebuild
new file mode 100644
index 00000000000..a27e4fb17d9
--- /dev/null
+++ b/net-print/cups-pdf/cups-pdf-3.0.1-r2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit toolchain-funcs
+
+DESCRIPTION="Provides a virtual printer for CUPS to produce PDF files"
+HOMEPAGE="https://www.cups-pdf.de/"
+SRC_URI="https://www.cups-pdf.de/src/${PN}_${PV/_}.tar.gz"
+S=${WORKDIR}/${PN}-${PV/_}
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="+ppds"
+
+DEPEND="net-print/cups"
+
+RDEPEND="${DEPEND}
+ >=app-text/ghostscript-gpl-9.54"
+
+PATCHES=( "${FILESDIR}"/${PN}-3.0.1-ghostscript-gpl-9.54-compat.patch )
+
+src_compile() {
+ pushd src &>/dev/null || die
+ $(tc-getCC) ${LDFLAGS} ${CFLAGS} ${PN}.c -o ${PN} -lcups || die
+ popd &>/dev/null || die
+}
+
+src_install() {
+ exeinto /usr/libexec/cups/backend
+ exeopts -m0700
+ doexe src/cups-pdf
+
+ insinto /etc/cups
+ doins extra/cups-pdf.conf
+
+ insinto /usr/share/cups/model
+ if use ppds; then
+ doins extra/CUPS-PDF_opt.ppd
+ else
+ doins extra/CUPS-PDF_noopt.ppd
+ fi
+
+ dodoc ChangeLog README
+}
diff --git a/net-print/cups-pdf/files/cups-pdf-3.0.1-ghostscript-gpl-9.54-compat.patch b/net-print/cups-pdf/files/cups-pdf-3.0.1-ghostscript-gpl-9.54-compat.patch
new file mode 100644
index 00000000000..3890743107e
--- /dev/null
+++ b/net-print/cups-pdf/files/cups-pdf-3.0.1-ghostscript-gpl-9.54-compat.patch
@@ -0,0 +1,28 @@
+https://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=180419375973b9ce4664286a67106d712260ef7f
+
+--- a/extra/cups-pdf.conf
++++ b/extra/cups-pdf.conf
+@@ -250,9 +250,9 @@
+ ### Key: GSCall (config)
+ ## command line for calling GhostScript (!!! DO NOT USE NEWLINES !!!)
+ ## MacOSX: for using pstopdf set this to %s %s -o %s %s
+-### Default: %s -q -dCompatibilityLevel=%s -dNOPAUSE -dBATCH -dSAFER -sDEVICE=pdfwrite -sOutputFile="%s" -dAutoRotatePages=/PageByPage -dAutoFilterColorImages=false -dColorImageFilter=/FlateEncode -dPDFSETTINGS=/prepress -c .setpdfwrite -f %s
++### Default: %s -q -dCompatibilityLevel=%s -dNOPAUSE -dBATCH -dSAFER -sDEVICE=pdfwrite -sOutputFile="%s" -dAutoRotatePages=/PageByPage -dAutoFilterColorImages=false -dColorImageFilter=/FlateEncode -dPDFSETTINGS=/prepress -c -f %s
+
+-#GSCall %s -q -dCompatibilityLevel=%s -dNOPAUSE -dBATCH -dSAFER -sDEVICE=pdfwrite -sOutputFile="%s" -dAutoRotatePages=/PageByPage -dAutoFilterColorImages=false -dColorImageFilter=/FlateEncode -dPDFSETTINGS=/prepress -c .setpdfwrite -f %s
++#GSCall %s -q -dCompatibilityLevel=%s -dNOPAUSE -dBATCH -dSAFER -sDEVICE=pdfwrite -sOutputFile="%s" -dAutoRotatePages=/PageByPage -dAutoFilterColorImages=false -dColorImageFilter=/FlateEncode -dPDFSETTINGS=/prepress -c -f %s
+
+ ### Key: PDFVer (config, ppd, lptopions)
+ ## PDF version to be created - can be "1.5", "1.4", "1.3" or "1.2"
+--- a/src/cups-pdf.h
++++ b/src/cups-pdf.h
+@@ -58,7 +58,7 @@ struct {
+ { "AnonDirName", SEC_CONF|SEC_PPD, { "/var/spool/cups-pdf/ANONYMOUS" } },
+ { "AnonUser", SEC_CONF|SEC_PPD, { "nobody" } },
+ { "GhostScript", SEC_CONF|SEC_PPD, { "/usr/bin/gs" } },
+- { "GSCall", SEC_CONF|SEC_PPD, { "%s -q -dCompatibilityLevel=%s -dNOPAUSE -dBATCH -dSAFER -sDEVICE=pdfwrite -sOutputFile=\"%s\" -dAutoRotatePages=/PageByPage -dAutoFilterColorImages=false -dColorImageFilter=/FlateEncode -dPDFSETTINGS=/prepress -c .setpdfwrite -f %s" } },
++ { "GSCall", SEC_CONF|SEC_PPD, { "%s -q -dCompatibilityLevel=%s -dNOPAUSE -dBATCH -dSAFER -sDEVICE=pdfwrite -sOutputFile=\"%s\" -dAutoRotatePages=/PageByPage -dAutoFilterColorImages=false -dColorImageFilter=/FlateEncode -dPDFSETTINGS=/prepress -c -f %s" } },
+ { "Grp", SEC_CONF|SEC_PPD, { "lp" } },
+ { "GSTmp", SEC_CONF|SEC_PPD, { "TMPDIR=/var/tmp" } },
+ { "Log", SEC_CONF|SEC_PPD, { "/var/log/cups" } },
+
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2021-04-26 17:27 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-04-26 17:27 [gentoo-commits] repo/gentoo:master commit in: net-print/cups-pdf/, net-print/cups-pdf/files/ Thomas Deutschmann
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox